DATA-CATALOG_TERM_CREATE(1)

NAME
data-catalog_term_create -

DESCRIPTION

Create a new term within a glossary.

USAGE

oci data-catalog term create [OPTIONS]

REQUIRED PARAMETERS

--catalog-id [text]

    Unique catalog identifier.

--display-name [text]

    A user-friendly display name. Is changeable. The combination of 'displayName' and 'parentTermKey' must be unique. Avoid entering confidential information.

--glossary-key [text]

    Unique glossary key.

OPTIONAL PARAMETERS

--description [text]

    Detailed description of the term.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--is-allowed-to-have-child-terms [boolean]

    Indicates whether a term may contain child terms.

--owner [text]

    OCID of the user who is the owner of this business terminology.

--parent-term-key [text]

    The terms parent term key. Will be null if the term has no parent term.

--workflow-status [text]

    Status of the approval process workflow for this business term in the glossary.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle